#!/bin/bash

# Set the installation path dynamically based on CMAKE_INSTALL_PREFIX
export PATH="@CMAKE_INSTALL_PREFIX@/bin:$PATH"

# Set the LD_LIBRARY_PATH variable for Linux
if [[ "$(uname)" == "Linux" ]]; then
    export LD_LIBRARY_PATH="@CMAKE_INSTALL_PREFIX@/lib:$LD_LIBRARY_PATH"
fi

# Set the DYLD_LIBRARY_PATH variable for macOS
if [[ "$(uname)" == "Darwin" ]]; then
    export DYLD_LIBRARY_PATH="@CMAKE_INSTALL_PREFIX@/lib:$DYLD_LIBRARY_PATH"
fi